%global drupalver 7
%{?rhel: %{expand: %%global drupal drupal%%{drupalver}}}
%if 0%{?fedora} >= 15
%global drupal drupal%{drupalver}
%endif
%{!?drupal: %{expand: %%global drupal drupal}}
# e.g. "/usr/share/drupal6"
%global drupaldir %{_datadir}/%{drupal}
# Use upstream name as expressed in URL and tarball
%global themename adaptivetheme

Name:    drupal%{drupalver}-theme-%{themename}
Version: 2.2
Release: 2%{?dist}
Summary: Adaptivetheme is a powerful theme framework
Group:   Applications/Publishing
License: GPLv2+
URL:     http://drupal.org/project/%{themename}
Source0: http://ftp.drupal.org/files/projects/%{themename}-%{drupalver}.x-%{version}.tar.gz
Source1: LICENSE.txt
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  %{drupal} >= 7.0

%description
Adaptivetheme is a powerful theme framework with smoking hot support
for mobile and tablet devices using responsive design techniques.

%prep
%setup -qn %{themename}
cp -p %{SOURCE1} .

%build
# Empty.

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/themes/%{themename}
find . -type f -exec install -m 0644 -D '{}' %{buildroot}%{drupaldir}/themes/%{themename}/'{}' \;
rm %{buildroot}%{drupaldir}/themes/%{themename}//%{themename}/.cvsignore
chmod -x README.txt

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
# Remember to include other documentation text here as well
%doc LICENSE.txt README.txt
# Remember to exclude all documentation texts from above
%exclude %{drupaldir}/themes/%{themename}/LICENSE.txt
%exclude %{drupaldir}/themes/%{themename}/README.txt
%{drupaldir}/themes/%{themename}

%changelog
* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Feb 29 2012 Peter Borsa <peter.borsa@gmail.com> - 2.2-1
- Updated to 2.2.

* Sun Feb  5 2012 Peter Borsa <peter.borsa@gmail.com> - 2.1-1
- Initial packaging.
